aboutsummaryrefslogtreecommitdiffstats
path: root/cmd-rename.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2005-09-30 00:27:11 -0700
committerJunio C Hamano <junkio@cox.net>2005-09-30 00:27:11 -0700
commit894a8a8b1b935639ac2ea503e8fa2887fd6bd44b (patch)
tree6cc5e118672914157059b611e9dce95a4170d3fb /cmd-rename.sh
parent264b16b621d9996006b73786b0ccdf8b80d29c49 (diff)
downloadgit-894a8a8b1b935639ac2ea503e8fa2887fd6bd44b.tar.gz
Still installing the old command names.
After seeing Jeff's guide, I changed my mind about the big-rename transition plan. Even if Porcelains are kept up to date, those web documents that describes older world order would live longer and people will stumble across them via google searches. And who knows how many mirrored copies there are. The backward compatible symbolic links *will* be removed before 1.0. But that will not happen in 0.99.8. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'cmd-rename.sh')
-rwxr-xr-xcmd-rename.sh14
1 files changed, 4 insertions, 10 deletions
diff --git a/cmd-rename.sh b/cmd-rename.sh
index f90b6babd4..34e7f494ed 100755
--- a/cmd-rename.sh
+++ b/cmd-rename.sh
@@ -1,15 +1,13 @@
#!/bin/sh
-#
-# This is for people who installed previous GIT by hand and would want
-# to remove the backward compatible links:
-#
-# ./cmd-rename.sh $bindir
-#
d="$1"
test -d "$d" || exit
while read old new
do
rm -f "$d/$old"
+ if test -f "$d/$new"
+ then
+ ln -s "$new" "$d/$old" || exit
+ fi
done <<\EOF
git-add-script git-add
git-archimport-script git-archimport
@@ -54,7 +52,3 @@ git-update-cache git-update-index
git-convert-cache git-convert-objects
git-fsck-cache git-fsck-objects
EOF
-
-# These two are a bit more than symlinks now.
-# git-ssh-push git-ssh-upload
-# git-ssh-pull git-ssh-fetch